
@ECHO launch the emulator and cradle it via activesync...
@.\DeviceEmulatorManager\bin\Debug\WMEmulatorHandler.exe start 1

@ECHO waiting 15 secs to complete the whole procedure
@ping 1.0.0.0 -n 1 -w 15000 >NUL

@ECHO copy the wmtest and mainclientdll on device
@.\Utilities\cecopy.exe "..\fcppunit\build\winmobile\Windows Mobile 6 Professional SDK (ARMV4I)\Debug\wmtest.exe" dev:\wmtest.exe
@.\Utilities\cecopy.exe "..\..\clientdll\build\mainclientDll\Windows Mobile 6 Professional SDK (ARMV4I)\Debug\mainclientdll.dll" dev:\Windows\mainclientdll.dll

@ECHO executing the wmtest on device...
@.\Utilities\rapistart.exe /wait \wmtest.exe

@ECHO waiting 20 secs to complete the process...
@ping 1.0.0.0 -n 1 -w 20000 >NUL

@ECHO copy back the result from the device
@.\Utilities\cecopy.exe dev:\wmreport.txt .

@ECHO open the result file
@start notepad.exe  .\wmreport.txt

@ECHO disconnect and shutdown the emulator
@.\DeviceEmulatorManager\bin\Debug\WMEmulatorHandler.exe stop 1
@ping 1.0.0.0 -n 1 -w 5000 >NUL
@.\DeviceEmulatorManager\bin\Debug\WMEmulatorHandler.exe shutdown 1

